<?include('checkcookie.php');
if($_POST){
  if($_POST["status"]=="dob"){
  	$id_p = $_POST["p_id"];
  	$pak_adv=mysql_query("select * from tb_paket_adv where id='$id_p'");
	$p_adv=mysql_fetch_array($pak_adv);

	$paket=mysql_query("select * from tb_paket where id='".$p_adv["paket"]."'");
	$pak=mysql_fetch_array($paket);

    if($paket and $pak_adv){
          $dinam = explode("*_*_*", $p_adv["dinam"]);
          $banner468 = explode("*_*_*", $p_adv["banner468"]);
          $psevdo = explode("*_*_*", $p_adv["psevdo"]);
          $frame = explode("*_*_*", $p_adv["frame"]);
          $statlink = explode("*_*_*", $p_adv["statlink"]);
          $textob = explode("*_*_*", $p_adv["textob"]);
          //Динамика
		  mysql_query("INSERT INTO tb_ads (`fechainicia`, `paypalemail`, `plan`, `url`, `description`, `tipo`, `highlight`, `timer`, `dopsec`, `vip`)
		  VALUES('".time()."','".$p_adv["schet"]."','".$pak["dinam"]."','".$dinam[0]."','".$dinam[1]."','ads','0', '".$pak["t_dinam"]."', '2','".$pak["r_dinam"]."')");
          //Статистика динамики
          $tim_z=date("d.m.Y", time());
		  $dob_z=mysql_query("SELECT count(id) as kol FROM tb_adsdate WHERE data='$tim_z'");
		  $dob=mysql_fetch_array($dob_z);
		  if($dob["kol"]>0){mysql_query("UPDATE tb_adsdate SET kolvo=kolvo+1 WHERE data='$tim_z'");}else{mysql_query("INSERT INTO tb_adsdate (`data`, `kolvo`) VALUES ('$tim_z','1')");}
          //Баннер 468х60
		  mysql_query("INSERT INTO tb_advban (`urlsite`, `urlpic`, `begindate`, `numdays`, `wmid`)
		  VALUES('".$banner468[0]."','".$banner468[1]."','".time()."','".$pak["banner468"]."','".$p_adv["schet"]."')");
          //Псевдо ссылки
          mysql_query("INSERT INTO tb_psevdolinks (`url`, `description`, `wmid`, `begindate`, `numdays`)
          VALUES('".$psevdo[0]."','".$psevdo[1]."','".$p_adv["schet"]."','".time()."','".$pak["psevdo"]."')");
          //Реклама во фрейме
          $f_plan=time()+($pak["frame"]*86400);
		  mysql_query("INSERT INTO tb_frameads (`wmid`, `link`, `text`, `enddate`)
		  VALUES('".$p_adv["schet"]."','".$frame[0]."','".$frame[1]."','$f_plan')");
          //Статические ссылки
          mysql_query("INSERT INTO tb_statlinks (`url`, `description`, `wmid`, `leftblock`, `begindate`, `numdays`)
          VALUES('".$statlink[0]."','".$statlink[1]."','".$p_adv["schet"]."','0','".time()."','".$pak["statlink"]."')");
          //Текстовое объявление
          $t_plan=time()+($pak["textob"]*86400);
          mysql_query("INSERT INTO tb_textads (`wmid`, `url`, `text`, `enddate`)
          VALUES('".$p_adv["schet"]."','".$textob[0]."','".$textob[1]."','$t_plan')");

		  mysql_query("DELETE FROM tb_paket_adv WHERE id='$id_p'");

          $er_ok_d = "Заказаный пакет размещен";
    }
  }elseif($_POST["status"]=="del"){
  	$id_p = $_POST["p_id"];
  	mysql_query("DELETE FROM tb_paket_adv WHERE id='$id_p'");
  	$er_ok_d = "Рекламный пакет удален";
  }
}
?>
<br>
<?
$paket=mysql_query("SELECT * FROM tb_paket_adv ORDER BY id ASC");$still++;
if(mysql_num_rows($paket) > 0){
?>
<div align="center" style="font-family:Verdana, Geneva, sans-serif;font-size:12px;color:#008800"><b><?=$er_ok_d;?></b></div>
<table align="center" style="font-family:Verdana, Geneva, sans-serif;width:98%;"><tr>
<td style="font-size:12px;"><b>WMID</b></td>
<td style="font-size:12px;"><b>Динамическая</b></td>
<td style="font-size:12px;"><b>Статическая</b></td>
<td style="font-size:12px;"><b>Текстовое</b></td>
<td style="font-size:12px;"><b>Псевдо</b></td>
<td style="font-size:12px;"><b>Баннер</b></td>
<td style="font-size:12px;"><b>Фрейм</b></td>
<td style="font-size:12px;"><b>Цена</b></td>
<td style="font-size:12px;"><b>Действие</b></td>
</tr>
<?$ipak=1;

while ($vpak=mysql_fetch_array($paket))
  {
$dinam = explode("*_*_*", $vpak["dinam"]);
$banner468 = explode("*_*_*", $vpak["banner468"]);
$psevdo = explode("*_*_*", $vpak["psevdo"]);
$frame = explode("*_*_*", $vpak["frame"]);
$statlink = explode("*_*_*", $vpak["statlink"]);
$textob = explode("*_*_*", $vpak["textob"]);
$v_pk=mysql_query("select * from tb_paket where id='".$vpak["paket"]."'");
$v_k=mysql_fetch_array($v_pk);  	?>
<tr>
<td style="font-size:10px;"><b><?=$vpak["schet"]?></b></td>
<td style="font-size:10px;"><b><a href="<?=$dinam[0]?>"><?=$dinam[1]?></a></b></td>
<td style="font-size:10px;"><b><a href="<?=$statlink[0]?>"><?=$statlink[1]?></a></b></td>
<td style="font-size:10px;"><b><a href="<?=$textob[0]?>"><?=$textob[1]?></a></b></td>
<td style="font-size:10px;"><b><a href="<?=$psevdo[0]?>"><?=$psevdo[1]?></a></b></td>
<td style="font-size:10px;"><b><a href="<?=$banner468[0]?>"><?=$banner468[0]?></a></b></td>
<td style="font-size:10px;"><b><a href="<?=$frame[0]?>"><?=$frame[1]?></a></b></td>
<td style="color:#dd0000;font-size:10px;"><b><?=$v_k["money"]?></b></td>
<td>
<form action="" method="post">
<input type="submit" value="Разместить">
<input name="p_id" type="hidden" value="<?=$vpak["id"]?>">
<input name="status" type="hidden" value="dob"></form>
<form action="" method="post">
<input type="submit" value="Удалить">
<input name="p_id" type="hidden" value="<?=$vpak["id"]?>">
<input name="status" type="hidden" value="del"></form>
</td>
</tr>
<?}

}else{?>
<div align="center" style="font-family:Verdana, Geneva, sans-serif;font-size:12px;color:#dd0000"><b>Нет заказов</b></div>
<?}?>
</table>